#! /usr/bin/bash

KERNEL_VERSION="$1"

echo "=================installing kyrg.ko==================="

source_ko_files="/opt/kyrg/kyrg.ko"
target_ko_directory="/lib/modules/"${KERNEL_VERSION}"/updates"

echo dest dir:$target_ko_directory/kyrg.ko

copy_ko_files() {

    # 确保目标目录存在
    if [ ! -d "$target_ko_directory" ]; then
	    mkdir -p $target_ko_directory
    fi
    # 拷贝.ko文件到目标目录
    install -m 644 $source_ko_files $target_ko_directory
}

copy_ko_files
depmod ${KERNEL_VERSION}
echo "=================installed kyrg.ko===================="
